Containers
Updates container
Modify an existing containers details
PUT
/
containers
/
{containerUUID}
Updates container
curl --request PUT \
--url https://api.fluxend.app/containers/{containerUUID} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'X-Project: <x-project>' \
--data '
{
"description": "<string>",
"is_public": true,
"max_file_size": 123,
"name": "<string>",
"projectUUID": "<string>"
}
'import requests
url = "https://api.fluxend.app/containers/{containerUUID}"
payload = {
"description": "<string>",
"is_public": True,
"max_file_size": 123,
"name": "<string>",
"projectUUID": "<string>"
}
headers = {
"Authorization": "<authorization>",
"X-Project": "<x-project>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
'X-Project': '<x-project>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: '<string>',
is_public: true,
max_file_size: 123,
name: '<string>',
projectUUID: '<string>'
})
};
fetch('https://api.fluxend.app/containers/{containerUUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluxend.app/containers/{containerUUID}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"is_public\": true,\n \"max_file_size\": 123,\n \"name\": \"<string>\",\n \"projectUUID\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("X-Project", "<x-project>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fluxend.app/containers/{containerUUID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = '<authorization>'
request["X-Project"] = '<x-project>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"is_public\": true,\n \"max_file_size\": 123,\n \"name\": \"<string>\",\n \"projectUUID\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluxend.app/containers/{containerUUID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'is_public' => true,
'max_file_size' => 123,
'name' => '<string>',
'projectUUID' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json",
"X-Project: <x-project>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"content": {
"createdAt": "<string>",
"createdBy": "<string>",
"description": "<string>",
"isPublic": true,
"maxFileSize": 123,
"name": "<string>",
"projectUuid": "<string>",
"totalFiles": 123,
"updatedAt": "<string>",
"updatedBy": "<string>",
"url": "<string>",
"uuid": "<string>"
},
"errors": [
"<string>"
],
"metadata": "<unknown>",
"success": true
}{
"content": "null",
"errors": [
"Invalid input parameter"
],
"success": false
}{
"content": "null",
"errors": [
"Unauthorized access"
],
"success": false
}{
"content": "null",
"errors": [
"Validation failed"
],
"success": false
}{
"content": "null",
"errors": [
"Internal server error"
],
"success": false
}Path Parameters
Container UUID
Body
application/json
Container details
⌘I
Updates container
